- List all webhooks in project
Register a webhook for project
Get webhook
Delete webhook
Replace webhook
Update webhook
List all webhooks in proj...
Returns a paginated list of webhooks for the specified project. If no page token is supplied then all registered webhooks (of maximum 15) are returned in alphabetical order.
Security
BasicAuth and BearerAuth and OAuth2Production
The unique ID of the project. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/webhooks
curl -i -X GET \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/webhooks?pageToken=string&pageSize=1' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'List of webhooks
Response
Returns a paginated list of webhooks for the specified project. If no page token is supplied then all registered webhooks (of maximum 15) are returned in alphabetical order.
{ "previousPageToken": "{{TOKEN}}", "nextPageToken": "{{TOKEN}}", "pageSize": 1, "totalSize": 5, "webhooks": [ { … }, { … } ] }
We'd love to hear from you!
Rate this content: